local log = require("log")
log.info("initializing test map...")

local map = require("map")

map.spawn_uav {
    robot_id = 10,
    position = { x = 0, y = 1 },
    rotation = { yaw = 0 },
}

map.spawn_ugv {
    robot_id = 11,
    position = { x = 0, y = 1.2 },
    rotation = { yaw = 0 },
}

-- for x = -50, 50, 15 do
--     for y = -50, 50, 15 do
--         if x == 0 and y == 0 then
--             goto continue
--         end

--         map.spawn_goal {
--             position = {
--                 x = x + math.random() * 10,
--                 y = y + math.random() * 10,
--             },
--             active = true,
--         }

--         ::continue::
--     end
-- end

-- for x = -50, 50, 5 do
--     for y = -50, 50, 5 do
--         if x == 0 and y == 0 then
--             goto continue
--         end

--         map.spawn_tree {
--             position = {
--                 x = x + math.random() * 2,
--                 y = y + math.random() * 2,
--             },
--             scale = 1,
--             variant = (math.random(2) == 1) and "A" or "B",
--         }

--         ::continue::
--     end
-- end
